Name:           kohsuke-pom
Version:        14
Release:        3%{?dist}
Summary:        Kohsuke parent POM

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/pom
Source0:        https://github.com/kohsuke/pom/archive/pom-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local

%description
This package contains Kohsuke parent POM file.

%prep
%setup -q -n pom-pom-%{version}

cp %{SOURCE1} LICENSE

# we don't have these plugins and extensions
%pom_xpath_remove pom:extensions
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :gmaven-plugin

# missing dep org.kohsuke:doxia-module-markdown
%pom_remove_plugin :maven-site-plugin

%pom_remove_plugin :maven-release-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%changelog
* Mon Feb 06 2017 Michael Simacek <msimacek@redhat.com> - 14-3
- Remove useless plugins and extensions

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 26 2015 Michal Srb <msrb@redhat.com> - 14-1
- Update to upstream version 14

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Michal Srb <msrb@redhat.com> - 12-1
- Update to upstream version 12

* Mon Sep  1 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 10-1
- Update to upstream version 10

* Thu Jul 03 2014 Michal Srb <msrb@redhat.com> - 9-1
- Update to upstream version 9

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 8-2
- Rebuild to regenerate Maven auto-requires

* Mon Apr 14 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 8-1
- Update to upstream version 8

* Fri Feb 28 2014 Michal Srb <msrb@redhat.com> - 7-1
- Update to upstream version 7

* Thu Feb 20 2014 Michal Srb <msrb@redhat.com> - 6-2
- Fix FTBFS

* Fri Aug 09 2013 Michal Srb <msrb@redhat.com> - 6-1
- Update to upstream version 6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Michal Srb <msrb@redhat.com> - 5-1
- Initial package

